%global         pypi_name      curses-menu
%global         srcname       curses_menu

Name:           python-cursesmenu
Version:        0.9.0
Release:        %mkrel 1
Summary:        A simple Python menu-based GUI system using curses
License:        MIT
Group:          Development/Python
URL:            https://pypi.org/project/curses-menu
Source0:        %{srcname}-%{version}.tar.gz
BuildArch:      noarch

%description
A simple Python menu-based GUI system on the terminal using
curses. Perfect for those times when you need a GUI, but don't want the
overhead or learning curve of a full-fledged GUI framework. However,
it's also flexible enough to do cool stuff like on-the-fly changing of
menus and is extensible to a large variety of uses.

%package -n python3-cursesmenu
Summary:        Python3 implementation of curses-menu
Group:          Development/Python
%{?python_provide:%python_provide python3-curses-menu}
BuildRequires:  pkgconfig(python3)
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(poetry)
BuildRequires:  python3dist(hatchling)
Obsoletes:      python3-curses-menu <= 0.6.0
Provides:	python3-curses-menu = %{version}-%{release}

%description -n python3-cursesmenu
A simple Python menu-based GUI system on the terminal using
curses. Perfect for those times when you need a GUI, but don't want the
overhead or learning curve of a full-fledged GUI framework. However,
it's also flexible enough to do cool stuff like on-the-fly changing of
menus and is extensible to a large variety of uses.

%prep
%setup -q -n %{srcname}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cursesmenu


%files -n python3-cursesmenu -f %{pyproject_files}
%doc README.rst LICENSE.md CHANGELOG.rst







%changelog
* Sat Oct 26 2024 eatdirt <eatdirt> 0.9.0-1.mga10
+ Revision: 2111245
- Update to version 0.9.0

* Tue Dec 26 2023 eatdirt <eatdirt> 0.8.1-1.mga10
+ Revision: 2021940
- Update to version 0.8.1 (obs/prov to curses-menu)

* Sun Dec 04 2022 eatdirt <eatdirt> 0.6.7-1.mga9
+ Revision: 1917546
- Update to version 0.6.7

* Sun Mar 27 2022 umeabot <umeabot> 0.5.0-4.mga9
+ Revision: 1828915
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 0.5.0-3.mga9
+ Revision: 1785484
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.5.0-2.mga9
+ Revision: 1733151
- Rebuild for python 3.9

* Mon Oct 26 2020 eatdirt <eatdirt> 0.5.0-1.mga8
+ Revision: 1639691
- Add missing BR
- imported package python-cursesmenu

